"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoundButton = void 0;
const React = __importStar(require("react"));
const react_native_1 = require("react-native");
const Themes_1 = require("../Themes");
const BaseButton_1 = require("./BaseButton");
const Typography_1 = require("../Typography");
const styles = react_native_1.StyleSheet.create({
    container: {
        padding: 16,
        borderRadius: 28,
        justifyContent: 'center',
        alignItems: 'center',
        opacity: 1,
    },
    label: {
        fontWeight: '700',
    },
    disabled: {
        opacity: 0.4,
    },
});
exports.RoundButton = React.memo(({ label, color, textColor = 'white', onPress, disabled = false }) => {
    const { primaryColor } = (0, Themes_1.useColors)();
    const backgroundColor = color ? color : primaryColor;
    return (React.createElement(BaseButton_1.BaseButton, { onPress: onPress, disabled: disabled, style: [
            styles.container,
            { backgroundColor },
            disabled ? styles.disabled : styles.container,
        ] },
        React.createElement(Typography_1.Typography, { style: styles.label, color: textColor }, label)));
});
exports.RoundButton.displayName = 'RoundButton';
