"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Stack = void 0;
const React = __importStar(require("react"));
const Margin_1 = require("./Margin");
const react_native_1 = require("react-native");
const styles = react_native_1.StyleSheet.create({
    horizontal: {
        flexDirection: 'row',
    },
});
/**
 * Stack
 * - A View component whose children will be provided with set amounts of margin
 */
exports.Stack = React.memo(({ children, type = 'vertical', space, style = {} }) => {
    const childArray = React.Children.toArray(children);
    return (React.createElement(react_native_1.View, { style: [style, type === 'horizontal' && styles.horizontal] }, childArray.map((child, index) => {
        return (React.createElement(React.Fragment, { key: index },
            child,
            React.createElement(Margin_1.Margin, { size: space })));
    })));
});
exports.Stack.displayName = 'Stack';
